Mac OS X : Java for Mac OS X 10.5 Update 4

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

The remote host has a version of Java that is affected by multiple
vulnerabilities.

Description :

The remote Mac OS X 10.5 host is running a version of Java for
Mac OS X that is missing Update 4.

The remote version of this software contains several security
vulnerabilities. A remote attacker could exploit these issues to
bypass security restrictions, disclose sensitive information, cause a
denial of service, or escalate privileges.

See also :

http://support.apple.com/kb/HT3632
http://lists.apple.com/archives/Security-announce/2009/Jun/msg00003.html

Solution :

Upgrade to Java for Mac OS X 10.5 Update 4 (JavaVM Framework 12.3.0)
or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.7
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true